JsonNodeDeserializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser

## Class JsonNodeDeserializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonDeserializer<T>
  - - org.codehaus.jackson.map.deser.std.StdDeserializer<N>
    - - org.codehaus.jackson.map.deser.std.JsonNodeDeserializer
      - - org.codehaus.jackson.map.deser.JsonNodeDeserializer

- Deprecated.
  Since 1.9, use `JsonNodeDeserializer` instead.

      @Deprecated
      public class JsonNodeDeserializer
      extends JsonNodeDeserializer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `StdDeserializer.BigDecimalDeserializer, StdDeserializer.BigIntegerDeserializer, StdDeserializer.BooleanDeserializer, StdDeserializer.ByteDeserializer, StdDeserializer.CharacterDeserializer, StdDeserializer.DoubleDeserializer, StdDeserializer.FloatDeserializer, StdDeserializer.IntegerDeserializer, StdDeserializer.LongDeserializer, StdDeserializer.NumberDeserializer, StdDeserializer.PrimitiveOrWrapperDeserializer<T>, StdDeserializer.ShortDeserializer, StdDeserializer.SqlDateDeserializer, StdDeserializer.StackTraceElementDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JsonNodeDeserializer` | `instance` Deprecated. Use `JsonNodeDeserializer.getDeserializer(java.lang.Class<?>)` accessor instead: will be removed from 2.0

    - ### Fields inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_valueClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonNodeDeserializer()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_handleDuplicateField(String fieldName, ObjectNode objectNode, JsonNode oldValue, JsonNode newValue)` Method called when there is a duplicate value for a field.
    `protected void` | `_reportProblem(JsonParser jp, String msg)`
    `protected JsonNode` | `deserializeAny(JsonParser jp, DeserializationContext ctxt)` Deprecated. since 1.9.0
    `protected JsonNode` | `deserializeAny(JsonParser jp, DeserializationContext ctxt, JsonNodeFactory nodeFactory)`
    `protected ArrayNode` | `deserializeArray(JsonParser jp, DeserializationContext ctxt)` Deprecated. since 1.9.0
    `protected ArrayNode` | `deserializeArray(JsonParser jp, DeserializationContext ctxt, JsonNodeFactory nodeFactory)`
    `protected ObjectNode` | `deserializeObject(JsonParser jp, DeserializationContext ctxt)` Deprecated. since 1.9.0
    `protected ObjectNode` | `deserializeObject(JsonParser jp, DeserializationContext ctxt, JsonNodeFactory nodeFactory)`
    `Object` | `deserializeWithType(JsonParser jp, DeserializationContext ctxt, TypeDeserializer typeDeserializer)` Base implementation that does not assume specific type inclusion mechanism.

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.JsonNodeDeserializer

      `deserialize, getDeserializer`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultSerializer, parseDouble, reportUnknownProperty`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonDeserializer

      `deserialize, getEmptyValue, getNullValue, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          @Deprecated
          public static final JsonNodeDeserializer instance

      Deprecated. Use `JsonNodeDeserializer.getDeserializer(java.lang.Class<?>)` accessor instead: will be removed from 2.0
      Singleton instance of generic deserializer for `JsonNode`.

  - ### Constructor Detail

    - #### JsonNodeDeserializer

          public JsonNodeDeserializer()

      Deprecated.

  - ### Method Detail

    - #### deserializeObject

          @Deprecated
          protected final ObjectNode deserializeObject(JsonParser jp,
                                                DeserializationContext ctxt)
                                                throws IOException,
                                                       JsonProcessingException

      Deprecated. since 1.9.0
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### deserializeArray

          @Deprecated
          protected final ArrayNode deserializeArray(JsonParser jp,
                                              DeserializationContext ctxt)
                                              throws IOException,
                                                     JsonProcessingException

      Deprecated. since 1.9.0
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### deserializeAny

          @Deprecated
          protected final JsonNode deserializeAny(JsonParser jp,
                                           DeserializationContext ctxt)
                                           throws IOException,
                                                  JsonProcessingException

      Deprecated. since 1.9.0
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### deserializeWithType

          public Object deserializeWithType(JsonParser jp,
                                   DeserializationContext ctxt,
                                   TypeDeserializer typeDeserializer)
                                     throws IOException,
                                            JsonProcessingException

      Description copied from class: `StdDeserializer`
      Base implementation that does not assume specific type inclusion mechanism. Sub-classes are expected to override this method if they are to handle type information.
      Overrides:
        `deserializeWithType` in class `StdDeserializer<N extends JsonNode>`
        `typeDeserializer` - Deserializer to use for handling type information
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### _reportProblem

          protected void _reportProblem(JsonParser jp,
                            String msg)
                                 throws JsonMappingException

      Throws:
        `JsonMappingException`

    - #### _handleDuplicateField

          protected void _handleDuplicateField(String fieldName,
                                   ObjectNode objectNode,
                                   JsonNode oldValue,
                                   JsonNode newValue)
                                        throws JsonProcessingException

      Method called when there is a duplicate value for a field. By default we don't care, and the last value is used. Can be overridden to provide alternate handling, such as throwing an exception, or choosing different strategy for combining values or choosing which one to keep.
      Parameters:
        `fieldName` - Name of the field for which duplicate value was found
        `objectNode` - Object node that contains values
        `oldValue` - Value that existed for the object node before newValue was added
        `newValue` - Newly added value just added to the object node
      Throws:
        `JsonProcessingException`

    - #### deserializeObject

          protected final ObjectNode deserializeObject(JsonParser jp,
                                     DeserializationContext ctxt,
                                     JsonNodeFactory nodeFactory)
                                                throws IOException,
                                                       JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

    - #### deserializeArray

          protected final ArrayNode deserializeArray(JsonParser jp,
                                   DeserializationContext ctxt,
                                   JsonNodeFactory nodeFactory)
                                              throws IOException,
                                                     JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

    - #### deserializeAny

          protected final JsonNode deserializeAny(JsonParser jp,
                                DeserializationContext ctxt,
                                JsonNodeFactory nodeFactory)
                                           throws IOException,
                                                  JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`